Name: crun-wasm
Version: 0.0
Release: 1%{?dist}
License: GPL-2.0-only
Summary: Provides crun built with wasm support
URL: https://github.com/containers/crun
Source0: LICENSE
# wasmedge is packaged only for aarch64 and x86_64
# Ref: https://src.fedoraproject.org/rpms/wasmedge/raw/rawhide/f/wasmedge.spec
ExclusiveArch: aarch64 x86_64
BuildRequires: git-core
Requires: crun
Requires: wasm-library
Recommends: wasmedge

%description
%{name} provides crun built with wasm support

%prep
cp %{SOURCE0} .

%install
install -dp %{buildroot}%{_bindir}
ln -s %{_bindir}/crun %{buildroot}%{_bindir}/%{name}

%files
%license LICENSE
%{_bindir}/%{name}

%changelog
* Fri May 05 2023 Lokesh Mandvekar <lsm5@fedoraproject.org>
- Initial package
